summaryrefslogtreecommitdiffstats
path: root/tests/parsertest.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/parsertest.sh')
-rwxr-xr-xtests/parsertest.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/tests/parsertest.sh b/tests/parsertest.sh
index fabe7e8d..a6b7d45c 100755
--- a/tests/parsertest.sh
+++ b/tests/parsertest.sh
@@ -1,5 +1,11 @@
-#!/bin/bash -e
echo test parsertest via udp
./nettester parse1 udp
+if [ "$?" -ne "0" ]; then
+ exit 1
+fi
+
echo test parsertest via tcp
./nettester parse1 tcp
+if [ "$?" -ne "0" ]; then
+ exit 1
+fi